using System.Collections.Generic;
using Fort23.Mono;
using UnityEngine;

namespace Mono
{
    public abstract class UIBasic
    {

        public GameObject Root;
        public bool IsShow;
        public ReferenceCollector UIData;
        
        public Dictionary<string, List<UICom>> AllUICom = new Dictionary<string, List<UICom>>();
        public abstract void SetUIRoot(GameObject root);
        public abstract void GetUIData();
        public abstract void AddButtonEvent();
        
        public abstract void AddEvent();
        public abstract void DelEvent();
        public abstract void Show();
        public abstract void Hide();
        public abstract void Dispose();
    }
}